public inbox for development@lists.ipfire.org
 help / color / mirror / Atom feed
* [PATCH] collectd: Restart is required after reconnect
@ 2024-01-12 13:29 Michael Tremer
  2024-01-14 16:02 ` Peter Müller
  0 siblings, 1 reply; 2+ messages in thread
From: Michael Tremer @ 2024-01-12 13:29 UTC (permalink / raw)
  To: development

[-- Attachment #1: Type: text/plain, Size: 2974 bytes --]

The "ping" plugin does not re-resolve the gateway IP address after
pinging it for the first time. For most people this won't be a big
problem, but if the default gateway changes, the latency graph won't
work any more.

In order to do re-resolve "gateway", the only way is to restart
collectd.

Fixes: #13522
Signed-off-by: Michael Tremer <michael.tremer(a)ipfire.org>
---
 config/rootfiles/common/aarch64/initscripts   | 1 +
 config/rootfiles/common/riscv64/initscripts   | 1 +
 config/rootfiles/common/x86_64/initscripts    | 1 +
 src/initscripts/networking/red.up/60-collectd | 6 ++++++
 4 files changed, 9 insertions(+)
 create mode 100644 src/initscripts/networking/red.up/60-collectd

diff --git a/config/rootfiles/common/aarch64/initscripts b/config/rootfiles/common/aarch64/initscripts
index f025651c3..a988b4abc 100644
--- a/config/rootfiles/common/aarch64/initscripts
+++ b/config/rootfiles/common/aarch64/initscripts
@@ -62,6 +62,7 @@ etc/rc.d/init.d/networking/red.up/30-ddns
 #etc/rc.d/init.d/networking/red.up/35-guardian
 etc/rc.d/init.d/networking/red.up/50-ipsec
 etc/rc.d/init.d/networking/red.up/50-ovpn
+etc/rc.d/init.d/networking/red.up/60-collectd
 etc/rc.d/init.d/networking/red.up/98-leds
 etc/rc.d/init.d/networking/red.up/99-beep
 etc/rc.d/init.d/networking/red.up/99-fireinfo
diff --git a/config/rootfiles/common/riscv64/initscripts b/config/rootfiles/common/riscv64/initscripts
index 8a4f046d3..a5e1596fb 100644
--- a/config/rootfiles/common/riscv64/initscripts
+++ b/config/rootfiles/common/riscv64/initscripts
@@ -62,6 +62,7 @@ etc/rc.d/init.d/networking/red.up/30-ddns
 #etc/rc.d/init.d/networking/red.up/35-guardian
 etc/rc.d/init.d/networking/red.up/50-ipsec
 etc/rc.d/init.d/networking/red.up/50-ovpn
+etc/rc.d/init.d/networking/red.up/60-collectd
 etc/rc.d/init.d/networking/red.up/98-leds
 etc/rc.d/init.d/networking/red.up/99-beep
 etc/rc.d/init.d/networking/red.up/99-fireinfo
diff --git a/config/rootfiles/common/x86_64/initscripts b/config/rootfiles/common/x86_64/initscripts
index 8a4f046d3..a5e1596fb 100644
--- a/config/rootfiles/common/x86_64/initscripts
+++ b/config/rootfiles/common/x86_64/initscripts
@@ -62,6 +62,7 @@ etc/rc.d/init.d/networking/red.up/30-ddns
 #etc/rc.d/init.d/networking/red.up/35-guardian
 etc/rc.d/init.d/networking/red.up/50-ipsec
 etc/rc.d/init.d/networking/red.up/50-ovpn
+etc/rc.d/init.d/networking/red.up/60-collectd
 etc/rc.d/init.d/networking/red.up/98-leds
 etc/rc.d/init.d/networking/red.up/99-beep
 etc/rc.d/init.d/networking/red.up/99-fireinfo
diff --git a/src/initscripts/networking/red.up/60-collectd b/src/initscripts/networking/red.up/60-collectd
new file mode 100644
index 000000000..0e457894f
--- /dev/null
+++ b/src/initscripts/networking/red.up/60-collectd
@@ -0,0 +1,6 @@
+#!/bin/bash
+
+# Restart collectd because the ping plugin does not re-resolve "gateway"
+exec /etc/init.d/collectd restart
+
+exit 1
-- 
2.39.2


^ permalink raw reply	[flat|nested] 2+ messages in thread

* Re: [PATCH] collectd: Restart is required after reconnect
  2024-01-12 13:29 [PATCH] collectd: Restart is required after reconnect Michael Tremer
@ 2024-01-14 16:02 ` Peter Müller
  0 siblings, 0 replies; 2+ messages in thread
From: Peter Müller @ 2024-01-14 16:02 UTC (permalink / raw)
  To: development

[-- Attachment #1: Type: text/plain, Size: 3147 bytes --]

Acked-by: Peter Müller <peter.mueller(a)ipfire.org>

> The "ping" plugin does not re-resolve the gateway IP address after
> pinging it for the first time. For most people this won't be a big
> problem, but if the default gateway changes, the latency graph won't
> work any more.
> 
> In order to do re-resolve "gateway", the only way is to restart
> collectd.
> 
> Fixes: #13522
> Signed-off-by: Michael Tremer <michael.tremer(a)ipfire.org>
> ---
>  config/rootfiles/common/aarch64/initscripts   | 1 +
>  config/rootfiles/common/riscv64/initscripts   | 1 +
>  config/rootfiles/common/x86_64/initscripts    | 1 +
>  src/initscripts/networking/red.up/60-collectd | 6 ++++++
>  4 files changed, 9 insertions(+)
>  create mode 100644 src/initscripts/networking/red.up/60-collectd
> 
> diff --git a/config/rootfiles/common/aarch64/initscripts b/config/rootfiles/common/aarch64/initscripts
> index f025651c3..a988b4abc 100644
> --- a/config/rootfiles/common/aarch64/initscripts
> +++ b/config/rootfiles/common/aarch64/initscripts
> @@ -62,6 +62,7 @@ etc/rc.d/init.d/networking/red.up/30-ddns
>  #etc/rc.d/init.d/networking/red.up/35-guardian
>  etc/rc.d/init.d/networking/red.up/50-ipsec
>  etc/rc.d/init.d/networking/red.up/50-ovpn
> +etc/rc.d/init.d/networking/red.up/60-collectd
>  etc/rc.d/init.d/networking/red.up/98-leds
>  etc/rc.d/init.d/networking/red.up/99-beep
>  etc/rc.d/init.d/networking/red.up/99-fireinfo
> diff --git a/config/rootfiles/common/riscv64/initscripts b/config/rootfiles/common/riscv64/initscripts
> index 8a4f046d3..a5e1596fb 100644
> --- a/config/rootfiles/common/riscv64/initscripts
> +++ b/config/rootfiles/common/riscv64/initscripts
> @@ -62,6 +62,7 @@ etc/rc.d/init.d/networking/red.up/30-ddns
>  #etc/rc.d/init.d/networking/red.up/35-guardian
>  etc/rc.d/init.d/networking/red.up/50-ipsec
>  etc/rc.d/init.d/networking/red.up/50-ovpn
> +etc/rc.d/init.d/networking/red.up/60-collectd
>  etc/rc.d/init.d/networking/red.up/98-leds
>  etc/rc.d/init.d/networking/red.up/99-beep
>  etc/rc.d/init.d/networking/red.up/99-fireinfo
> diff --git a/config/rootfiles/common/x86_64/initscripts b/config/rootfiles/common/x86_64/initscripts
> index 8a4f046d3..a5e1596fb 100644
> --- a/config/rootfiles/common/x86_64/initscripts
> +++ b/config/rootfiles/common/x86_64/initscripts
> @@ -62,6 +62,7 @@ etc/rc.d/init.d/networking/red.up/30-ddns
>  #etc/rc.d/init.d/networking/red.up/35-guardian
>  etc/rc.d/init.d/networking/red.up/50-ipsec
>  etc/rc.d/init.d/networking/red.up/50-ovpn
> +etc/rc.d/init.d/networking/red.up/60-collectd
>  etc/rc.d/init.d/networking/red.up/98-leds
>  etc/rc.d/init.d/networking/red.up/99-beep
>  etc/rc.d/init.d/networking/red.up/99-fireinfo
> diff --git a/src/initscripts/networking/red.up/60-collectd b/src/initscripts/networking/red.up/60-collectd
> new file mode 100644
> index 000000000..0e457894f
> --- /dev/null
> +++ b/src/initscripts/networking/red.up/60-collectd
> @@ -0,0 +1,6 @@
> +#!/bin/bash
> +
> +# Restart collectd because the ping plugin does not re-resolve "gateway"
> +exec /etc/init.d/collectd restart
> +
> +exit 1

^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2024-01-14 16:02 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2024-01-12 13:29 [PATCH] collectd: Restart is required after reconnect Michael Tremer
2024-01-14 16:02 ` Peter Müller

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox